import Indicator from './Indicator/index.js';
import { jsx as _jsx } from "react/jsx-runtime";
var useIndicator = function useIndicator(_ref) {
  var hideIndicator = _ref.hideIndicator,
    indicatorBottom = _ref.indicatorBottom,
    percentage = _ref.percentage,
    indicatorTotal = _ref.indicatorTotal;
  if (hideIndicator) return [];
  var indicator = /*#__PURE__*/_jsx(Indicator, {
    indicatorBottom: indicatorBottom,
    percentage: percentage,
    indicatorTotal: indicatorTotal
  });
  return [!indicatorBottom ? indicator : null, indicatorBottom ? indicator : null];
};
export default useIndicator;