import cx from 'classnames';
import PropTypes from 'prop-types';
import { CLASS_INDICATOR } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var Indicator = function Indicator(_ref) {
  var indicatorBottom = _ref.indicatorBottom,
    indicatorTotal = _ref.indicatorTotal,
    percentage = _ref.percentage;
  return /*#__PURE__*/_jsxs("span", {
    className: cx(CLASS_INDICATOR, CLASS_INDICATOR + "--" + (indicatorBottom ? 'bottom' : 'top')),
    children: [/*#__PURE__*/_jsx("strong", {
      children: percentage
    }), indicatorTotal ? "/100" : "%"]
  });
};
Indicator.displayName = 'Indicator';
export default Indicator;