import cx from 'classnames';
import PropTypes from 'prop-types';
import { BASE_CLASS_EXTRA_LINE, BASE_CLASS_EXTRA_LINE_ANIMATED, BASE_CLASS_LINE, CLASS_BAR_ANIMATED } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var Line = function Line(_ref) {
  var isAnimatedOnChange = _ref.isAnimatedOnChange,
    percentage = _ref.percentage,
    className = _ref.className,
    isExtra = _ref.isExtra;
  return /*#__PURE__*/_jsx("span", {
    className: cx(!isExtra && BASE_CLASS_LINE, isExtra && BASE_CLASS_EXTRA_LINE, className, isAnimatedOnChange && !isExtra && CLASS_BAR_ANIMATED, isAnimatedOnChange && isExtra && BASE_CLASS_EXTRA_LINE_ANIMATED),
    style: {
      width: percentage + "%"
    }
  });
};
Line.displayName = 'ProgressBarLine';
export default Line;